tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TCLAP::Visitor Class Reference

A base class that defines the interface for visitors. More...

`#include <Visitor.h>`

Inheritance diagram for TCLAP::Visitor:

## Public Member Functions
| Visitor ()
| Constructor. More...
virtual | ~Visitor ()
| Destructor. More...
virtual void | visit ()
| Does nothing. More...

## Detailed Description

A base class that defines the interface for visitors.

Definition at line 31 of file Visitor.h.

## Constructor & Destructor Documentation

TCLAP::Visitor::Visitor | ( |  | ) |
| inline

Constructor.

Does nothing.

Definition at line 38 of file Visitor.h.

virtual TCLAP::Visitor::~Visitor | ( |  | ) |
| inline virtual

Destructor.

Does nothing.

Definition at line 43 of file Visitor.h.

## Member Function Documentation

virtual void TCLAP::Visitor::visit | ( |  | ) |
| inline virtual

Does nothing.

Should be overridden by child.

Reimplemented in TCLAP::VersionVisitor, TCLAP::HelpVisitor, and TCLAP::IgnoreRestVisitor.

Definition at line 48 of file Visitor.h.

Referenced by TCLAP::Arg::_checkWithVisitor().

The documentation for this class was generated from the following file:

- Visitor.h